// TEST the cfg


#include <iostream.h>
#include"loctypes.h"
#include"parser.hpp"
#include"cfg.hpp"

class X : public CONFIG {
private:
	BOOL	eNoErrors;
protected:
	VOID  Error(CONFIG::ERROR eError) {

		eNoErrors = BOOL_FALSE;

		cout << endl;
		cout << "##### Error at line number " << Parser.GetLineNumber();
		cout << " #####" << endl;
		cout << "SATELLITE: " << GetSatelliteName();
		cout << " " << GetSatelliteMode() << endl;
		cout << "BAD LINE: " << Parser.GetLine();
		cout << "Error = " << eError;
		cout << endl;
		return;
	}
public:
	BOOL	Verify() {

		eNoErrors = BOOL_TRUE;

		cout << endl << "Verifying file ";
		if ( !Open() ) {
			cout << "Cannot open configuration file" << endl;
			return BOOL_FALSE;
		}

		while ( !Parser.IsEOF() ) {
 			Read();
	 	}
		cout << endl;

		if ( eNoErrors ) {
			cout << "No Errors Found" << endl;
		}

		Parser.Close();
		
		return eNoErrors;
	}
};

main() {
	X	x;
	x.Verify();
	return 0;
}
